package com.chenyang.nse.bussiness.kms.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_kms_masterkey"
)
public class KmsMasterKey {
   @Id
   private String keyid;
   @Column
   private String keyspec;
   @Column
   private String keyusage;
   @Column
   private String origin;
   @Column
   private String protectionlevel;

   public String getKeyid() {
      return this.keyid;
   }

   public void setKeyid(String keyid) {
      this.keyid = keyid;
   }

   public String getKeyspec() {
      return this.keyspec;
   }

   public void setKeyspec(String keyspec) {
      this.keyspec = keyspec;
   }

   public String getKeyusage() {
      return this.keyusage;
   }

   public void setKeyusage(String keyusage) {
      this.keyusage = keyusage;
   }

   public String getOrigin() {
      return this.origin;
   }

   public void setOrigin(String origin) {
      this.origin = origin;
   }

   public String getProtectionlevel() {
      return this.protectionlevel;
   }

   public void setProtectionlevel(String protectionlevel) {
      this.protectionlevel = protectionlevel;
   }
}
